#
#
#standard equipment type config file
#    
#     SMDU LVD Unit
#
#     Constraint to the Solution config file:
#               Relevant Sampler List:  
#               Relevant Equipment List:
#



#1. Equipment basic information
[EQUIPMENT_TYPE_INFO]
#Type ID    Group Type Flag	Type Name	Type Name Resource ID
602	    0			SMDU LVD Unit	2

#2. Define signals of this standard equipment
#2.1 Define the Sampling Signals
[SAMPLING_SIGNAL_NUM]
4

[SAMPLING_SIGNAL_INFO]
#note:if you want to change the sig name, please change the name difined in the relevant resource file synchronously
#Sig ID		Sig Name		Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Storing Threshold	Storing Interval	Evaluation Expression		Value Range				Value Diaplay Attribute		Value Display Level		Value Display ID	Value Display Format	Disp Exp
1		LVD1 Status		21			NA		1				6548			E			NA			NA			NA				[ID11=connected]/[ID12=disconnected]	NA				NA				1			NA			NA
2		LVD2 Status		22			NA		1				6547			E			NA			NA			NA				[ID11=connected]/[ID12=disconnected]	NA				NA				2			NA			NA
3		LVD1 Fault Status	116			NA		1				6546			E			NA			NA			NA				[ID13=no]/[ID14=yes]			NA				NA				3			NA			NA
4		LVD2 Fault Status	117			NA		1				6545			E			NA			NA			NA				[ID13=no]/[ID14=yes]			NA				NA				4			NA			NA
99		Comm Interrupt State	111			NA		1				6556			U			NA			NA			NA				NA					NA				NA				99			NA			NA
100		State			26			NA		-1				-3			E			NA			NA			NA				[ID13=no]/[ID14=yes]			NA				NA				100			NA			NA


#2.2 Define the Control Signals
[CTRL_SIGNAL_NUM]
2

[CTRL_SIGNAL_INFO]
#Sig ID		Sig Name			Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Value Range				Value Display Attribute		Value Control Attribute		Controlable Expression		Authority Level		Value Display ID	Value Display Format	Control Channel ID	Control Step	Control Param	Control Expression	On Control Action	Disp Exp
1		LVD1 Control			27			NA		1				6548			E			[ID11=connected]/[ID12=disconnected]	W/L				W/L				NA				O			1			NA			6401			NA		NA		NA			NA			[0,2,3]==1
2		LVD2 Control			28			NA		1				6547			E			[ID11=connected]/[ID12=disconnected]	W/L				W/L				NA				O			2			NA			6402			NA		NA		NA			NA			[0,2,8]==1


#2.3 Define the Setting Signals  
[SETTING_SIGNAL_NUM]
13

[SETTING_SIGNAL_INFO]
#Sig ID		Sig Name				Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Default Value		Value Range					Value Display Attribute		Value Setting Attribute		Settable Expression		Authority Level		Value Display ID	Value Display Format	Control Channel ID	Setting Step		Control Expression	Persistence Falg	On Control Action	Disp Exp
3		LVD1 enabled				31			NA		-1				-3			E			0			[ID51 = disabled]/[ID52 = enabled]		W/L				W/L				NA				O			1			NA			-3			NA			NA			1			NA			NA
4		LVD1 mode              			32			NA		-1				-3			E			0			[ID53 = voltage]/[ID54 = time]			W/L				W/L				NA				O			2			NA			-3 			NA			NA			1			NA			NA
1		LVD1 Disconnection Voltage		33			V		-1				-3			F			43.2			36/60						W/L				W/L				[0,2,1]<[0,2,2]			O			3			.1			-3			0.1			NA			1			NA			[3,2,224]==0
2		LVD1 Reconnection Voltage		34			V		-1				-3			F			52.5			40/60						W/L				W/L				[0,2,2]>[0,2,1]			O			4			.1			-3			0.1			NA			1			NA			[3,2,224]==0
5		LVD1 reconnect delay   			35			min		-1				-3			U			2			0/30						W/L				W/L				NA				O			5			NA			-3			1			NA			1			NA			NA
18		LVD1 time              			36			min		-1 				-3			U			300			30/1000						W/L				W/L				NA				O			6			NA			-3			1			NA			1			NA			NA
20		LVD1 dependency   			37			NA		-1				-3			E			0			[ID55 = None]/[ID56 = LVD1]/[ID57 = LVD2]	W/L				W/L				NA				O			7			NA			-3			NA			NA			1			NA			NA
8		LVD2 enabled				41			NA		-1				-3			E			0			[ID51 = disabled]/[ID52 = enabled]		W/L				W/L				NA				O			11			NA			-3			NA			NA			1			NA			NA
9		LVD2 mode              			42			NA		-1				-3			E			0			[ID53 = voltage]/[ID54 = time]			W/L				W/L				NA				O			12			NA			-3 			NA			NA			1			NA			NA
6		LVD2 Disconnection Voltage		43			V		-1				-3			F			43.2			36/60						W/L				W/L				[0,2,6]<[0,2,7]			O			13			.1			-3			0.1			NA			1			NA			[3,2,224]==0
7		LVD2 Reconnection Voltage		44			V		-1				-3			F			52.5			40/60						W/L				W/L				[0,2,7]>[0,2,6]			O			14			.1			-3			0.1			NA			1			NA			[3,2,224]==0
10		LVD2 reconnect delay   			45			min		-1				-3			U			2			0/30						W/L				W/L				NA				O			15			NA			-3			1			NA			1			NA			NA
19		LVD2 time              			46			min		-1 				-3			U			300			30/1000						W/L				W/L				NA				O			16			NA			-3			1			NA			1			NA			NA
21		LVD2 dependency   			47			NA		-1				-3			E			0			[ID55 = None]/[ID56 = LVD1]/[ID57 = LVD2]	W/L				W/L				NA				O			17			NA			-3			NA			NA			1			NA			NA
11		HTD1 enabled				103			NA		-1				-3			E			0			[ID51 = disabled]/[ID52 = enabled]		W/L				W/L				NA				O			21			NA			-3			NA			NA			1			NA			NA
12		HTD2 enabled				104			NA		-1				-3			E			0			[ID51 = disabled]/[ID52 = enabled]		W/L				W/L				NA				O			22			NA			-3			NA			NA			1			NA			NA
51		LVD1 Disconnection Voltage(24V)		118			V		-1				-3			F			21.6			18/30						W/L				W/L				[0,2,1]<[0,2,2]			O			3			.1			-3			0.1			NA			1			NA			([3,2,224]==1)|[3,0,184]>0
52		LVD1 Reconnection Voltage(24V)		119			V		-1				-3			F			26.3			20/30						W/L				W/L				[0,2,2]>[0,2,1]			O			4			.1			-3			0.1			NA			1			NA			([3,2,224]==1)|[3,0,184]>0
56		LVD2 Disconnection Voltage(24V)		120			V		-1				-3			F			21.6			18/30						W/L				W/L				[0,2,6]<[0,2,7]			O			13			.1			-3			0.1			NA			1			NA			([3,2,224]==1)|[3,0,184]>0
57		LVD2 Reconnection Voltage(24V)		121			V		-1				-3			F			26.3			20/30						W/L				W/L				[0,2,7]>[0,2,6]			O			14			.1			-3			0.1			NA			1			NA			([3,2,224]==1)|[3,0,184]>0


#2.4 Define the Alarm Singals
[ALARM_NUM]
2

[ALARM_INFO]
#alarm level: OA MA CA
#Alarm ID	Alarm Name			Alarm Name Resource ID		Alarm Level	Alarm Expression	Alarm Delay	Suppressing Expression	Relay ID
1		LVD1Disconnected		23				CA		[0,0,1] == 1		NA		NA			NA
2		LVD2Disconnected		24				CA		[0,0,2] == 1		NA		NA			NA
3		LVD1 Fault			116				CA		[0,0,3] == 1 & [0,2,3] == 1		5		NA			NA
4		LVD2 Fault			117				CA		[0,0,4] == 1 & [0,2,8] == 1		5		NA			NA
